{ clear flash, and initialize driver portion }

{$r+}

uses flash;

var
  i,j,k,l:word;
  fi:file;
  buf:array[0..1023] of byte;

begin
  rom_find;		{ find ROM segment }
  rom_id;		{ display device ID }
  rom_unlock;		{ enable write access }

  write('Erasing flash:   ');
  rom_zap;		{ erase chip }
  writeln('OK');

  write('Writing flash:   ');		{ read driver file }
  assign(fi,'romdisk.com');
  reset(fi,1);
  blockread(fi,buf,sizeof(buf),i);

  j:=0;			{ checksum }
  for i:=0 to 1023 do
    inc(j,buf[i]);
  dec(buf[1023],lo(j));

  rom_write(buf,0,sizeof(buf));		{ write flash }
  writeln('OK');
  close(fi);

  rom_exit;
end.
