{ Update boot sector }

{$r-}

uses flash;

var
  i,j,k,l:word;
  fi:file;
  buf:array[0..1023] of byte;

begin
  rom_find;		{ find ROM segment }
  rom_id;		{ display device ID }
  rom_unlock;		{ enable write access }

  write('Erasing flash:   ');
  for i:=0 to 3 do rom_erase_p(i);	{ erase 4 pages }
  writeln('OK');

  write('Writing flash:   ');		{ read driver file }
  assign(fi,'romdisk.com');
  reset(fi,1);
  blockread(fi,buf,sizeof(buf),i);

  j:=0;			{ checksum }
  for i:=0 to 1023 do
    inc(j,buf[i]);
  dec(buf[1023],lo(j));

  rom_write(buf,0,1024);		{ write flash }
  writeln('OK');
  write('Verifying flash: ');		{ read driver file }
  rom_verif(buf,0,1024);		{ verify flash }
  writeln('OK');
  close(fi);

  rom_exit;
end.
