{ program flash disk from image file }

{$r-,s-}

uses flash;

var
  i,j:word;
  fo:file;
  buf:array[0..32767] of byte;

begin
  if paramcount=0 then begin
    write('Usage: SETROM <filename>');
    halt(1);
  end;
  assign(fo,paramstr(1));
  reset(fo,1);

  rom_find;
  rom_unlock;

  write('Erasing flash: ');
  rom_zap;
  writeln('OK');

  write('Writing flash: ');
  for i:=0 to 2047 do begin
    if (i and 127)=0 then begin
      hex(i shr 7); write(#8#8);
      blockread(fo,buf,sizeof(buf));
    end;
    rom_write(buf[swap(i and 127)],i,256);
  end;
  writeln('OK');
  close(fo);
  rom_exit;
end.
